abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

dnes 00:33 | IT novinky

Josef Průša představil na Maker Faire v New Yorku svou novou 3D tiskárnu Original Prusa i3 MK3. Z novinek (YouTube) lze zdůraznit senzor filamentu, výměnnou magnetickou podložku, rychlejší tisk nebo rozpoznání uskočené vrstvy, výpadku napájení a výpadku filamentu (YouTube).

Ladislav Hagara | Komentářů: 2
včera 17:22 | Komunita

Martin Flöser představil na svém blogu projekt XFree KWin. Cílem projektu je rozběhnout správce oken KWin na Waylandu bez XWaylandu [reddit].

Ladislav Hagara | Komentářů: 3
včera 16:55 | Komunita

Do pátku 29. září probíhá v Praze v hotelu Hilton konference SUSECON 2017 pořádaná společností SUSE. Dění na konferenci lze sledovat na Twitteru. Nils Brauckmann, CEO společnosti SUSE, vítá účastníky konference na YouTube.

Ladislav Hagara | Komentářů: 2
včera 07:00 | Komunita

Příspěvek na blogu společnosti Yubico informuje o začlenění podpory bezpečnostních klíčů FIDO U2F do Firefoxu Nightly. Dosud bylo možné dvoufázové ověření pomocí FIDO U2F ve Firefoxu zajistit pouze pomocí doplňku.

Ladislav Hagara | Komentářů: 3
včera 06:00 | Humor

Adobe PSIRT (Adobe Product Security Incident Response Team) neúmyslně zveřejnil (archive) na svém blogu svůj soukromý OpenPGP klíč. Klíč byl revokován a vygenerován nový. Nelze nezmínit xkcd 1553 - Veřejný klíč.

Ladislav Hagara | Komentářů: 1
24.9. 20:00 | Nová verze

Byla vydána (cgit) verze 0.99 svobodného nelineárního video editoru Pitivi. Jedná se o release candidate verze 1.0. Přehled úkolů, které je nutno ještě dodělat, na Phabricatoru. Pitivi je k dispozici také ve formátu Flatpak.

Ladislav Hagara | Komentářů: 0
24.9. 17:11 | Komunita

Microsoft s Canonicalem představili linuxové jádro Ubuntu optimalizováno pro cloudové služby Microsoft Azure (linux-azure). Jako výchozí je toto menší a výkonnější jádro použito již v Ubuntu Cloud Images for Ubuntu 16.04 LTS. Canonical zatím nenabízí patchování tohoto jádra za běhu systému (Canonical Livepatch Service).

Ladislav Hagara | Komentářů: 1
24.9. 14:55 | Komunita

Facebook oznámil, že přelicencuje open source projekty React, Jest, Flow a Immutable.js ze své vlastní kontroverzní licence BSD+Patents na licenci MIT. Stane se tak tento týden s vydáním Reactu 16. Jedním z důvodů přelicencování bylo oznámení nadace Apache, že software pod Facebook BSD+Patents licencí nesmí být součástí produktů pod touto nadací [Hacker News].

Ladislav Hagara | Komentářů: 0
23.9. 21:44 | Nová verze

Po půl roce od vydání verze 9.0 byla vydána verze 10.0 open source alternativy GitHubu, tj. softwarového nástroje s webovým rozhraním umožňujícího spolupráci na zdrojových kódech, GitLab (Wikipedie). Představení nových vlastností v příspěvku na blogu a na YouTube.

Ladislav Hagara | Komentářů: 1
22.9. 18:11 | Nová verze

Společnost Oracle oficiálně oznámila vydání Java SE 9 (JDK 9), Java Platform Enterprise Edition 8 (Java EE 8) a Java EE 8 Software Development Kit (SDK). Java SE 9 přináší více než 150 nových vlastností.

Ladislav Hagara | Komentářů: 0
Těžíte nějakou kryptoměnu?
 (5%)
 (3%)
 (17%)
 (75%)
Celkem 576 hlasů
 Komentářů: 23, poslední 24.9. 18:12
    Rozcestník

    Dotaz: Postfix zrezava jednemu uzivatelovi maily

    20.8.2009 13:01 eth4rendil | skóre: 13
    Postfix zrezava jednemu uzivatelovi maily
    Přečteno: 263×

    Dobrý deň,

    mám taký divný problem. Jednemu uživatelovi chodia niekedy nekompletne maily. Proste v polovici alebo na zaciatku ten mail odsekne a nepokracuje dalej. Tento mail je orezany tiez na serveri. V logoch nie je nic podozrive:

     

    Aug 20 11:40:24 rt1-router postfix/smtpd[29038]: connect from mailxxxxxx
    Aug 20 11:40:24 rt1-router postfix/smtpd[29038]: A8C2617FF5: client=mailxxxxxxxxx
    Aug 20 11:40:24 rt1-router postfix/cleanup[29041]: A8C2617FF5: message-id=<4A8D1C15.4080606@roedl.sk>
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: A8C2617FF5: from=<xxxx>, size=53086, nrcpt=1 (queue active)
    Aug 20 11:40:25 rt1-router postfix/pipe[29042]: A8C2617FF5: to=<yyyy>, relay=dfilt, delay=0.51, delays=0.47/0/0/0.03, dsn=2.0.0, status=sent (delivered via dfilt service)
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: A8C2617FF5: removed
    Aug 20 11:40:25 rt1-router postfix/pickup[27163]: 2904817FF5: uid=108 from=<XXXXXX>
    Aug 20 11:40:25 rt1-router postfix/cleanup[29287]: 2904817FF5: message-id=<4A8D1C15.4080606@roedl.sk>
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: 2904817FF5: from=<XXXX>, size=3326, nrcpt=1 (queue active)
    Aug 20 11:40:25 rt1-router clamsmtpd: 1073DD: accepted connection from: 127.0.0.1
    Aug 20 11:40:25 rt1-router postfix/smtpd[29055]: connect from localhost[127.0.0.1]
    Aug 20 11:40:25 rt1-router postfix/smtpd[29038]: disconnect from mailXxxxxxxx]
    Aug 20 11:40:25 rt1-router postfix/smtpd[29055]: 3406E17FF9: client=localhost[127.0.0.1]
    Aug 20 11:40:25 rt1-router postfix/cleanup[29041]: 3406E17FF9: message-id=<4A8D1C15.4080606@roedl.sk>
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: 3406E17FF9: from=<xxxxxxx>, size=3593, nrcpt=1 (queue active)
    Aug 20 11:40:25 rt1-router clamsmtpd: 1073DD: from=xxxxxxxxxxxx, to=xxxxxxxxxxxxx, status=CLEAN
    Aug 20 11:40:25 rt1-router postfix/smtp[29053]: 2904817FF5: to=<xxxxxx>, relay=127.0.0.1[127.0.0.1]:10025, delay=0.11, delays=0.02/0/004/0.05, dsn=2.0.0, status=sent (250 2.0.0 Ok: queued as 3406E17FF9)
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: 2904817FF5: removed
    Aug 20 11:40:25 rt1-router postfix/local[29564]: 3406E17FF9: to=<xxxxx>, orig_to=<xxxxxx>, relay=local, delay=0.05/0/0/0, dsn=2.0.0, status=sent (delivered to maildir)
    Aug 20 11:40:25 rt1-router postfix/qmgr[10763]: 3406E17FF9: removed
    Aug 20 11:40:25 rt1-router postfix/smtpd[29055]: disconnect from localhost[127.0.0.1]
    Aug 20 11:40:29 rt1-router pop3d: Connection, ip=[::ffff:10.224.34.67]
     

    Vôbec nemam tušenie čo to može byť, žeby clamav? Alebo disclaimer - ten mi pridáva vždy na koniec mailu text... ale kode (nižšie) nie je nič take čo by to mohlo robiť :F a prečo prave tomuto jednemu, vôbec tomu nechapem.....

     

    Viete niekto poradiť? Ďakujem pekne

    disclaimer:

    /etc/postfix/disclaimer

    #!/bin/sh
    # Localize these.
    INSPECT_DIR=/var/spool/filter
    SENDMAIL=/usr/sbin/sendmail

    ####### Changed From Original Script #######
    DISCLAIMER_ADDRESSES=/etc/postfix/disclaimer_emails
    ####### Changed From Original Script END #######

    # Exit codes from <sysexits.h>
    EX_TEMPFAIL=75
    EX_UNAVAILABLE=69

    # Clean up when done or when aborting.
    trap "rm -f in.$$" 0 1 2 3 15

    # Start processing.
    cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
    $EX_TEMPFAIL; }

    cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

    ####### Changed From Original Script #######
    # obtain From address
    from_address=`grep -m 1 "From:" in.$$ | cut -d "<" -f 2 | cut -d ">" -f 1`

    if [ `grep -wi ^${from_address}$ ${DISCLAIMER_ADDRESSES}` ]; then
    /usr/bin/altermime --input=in.$$ \
    --disclaimer=/etc/postfix/disclaimer.txt \
    --disclaimer-html=/etc/postfix/disclaimer.txt || \
    #--xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || \
    { echo Message content rejected; exit $EX_UNAVAILABLE; }
    fi
    ####### Changed From Original Script END #######

    $SENDMAIL "$@" <in.$$

    exit $?

     

    Odpovědi

    20.8.2009 21:52 pupu | skóre: 30
    Rozbalit Rozbalit vše Re: Postfix zrezava jednemu uzivatelovi maily

    Pokud je to reprodukovatelne, neni nic jednodussiho nez zapnout vetsi 'ukecanost' jednotlivych komponent a pote je zkouset vypinat. Postfix takovehle veci nedela, ja bych si tipnul ten disclaimer. Zkus vzit vzorovy mail, ktery ti neprosel cely, a prohnat ho tim disclaimerovym skriptem.

    27.8.2009 17:37 eth4rendil | skóre: 13
    Rozbalit Rozbalit vše Re: Postfix zrezava jednemu uzivatelovi maily

     skúsil som ten disclaimer vypnúť, ale začalo to robiť znovu... nechápem tomu. Môže také niečo robiť clamsmtp?

    21.9.2009 17:26 Leos
    Rozbalit Rozbalit vše Re: Postfix zrezava jednemu uzivatelovi maily

    Není problém v délce řádku u textu dislclaimeru (či celého mailu)? Postfix má limit pro maximální počet znaků na řádce. (/etc/postfix/main.cf, direktiva line_length_limit = 102400 <-- například).

    Měl jsem navíc podobný problém s maily, ve kterých se citovaly původní zprávy. Některý mail klient nemusí správně ukončovat řádky a nasypat "všecko za sebe".

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.